%define major	19
%define package_name gtkhtml
%define api_version 3.14
%define libname %mklibname %{package_name}- %{api_version} %{major}
%define libnamedev %mklibname -d %{package_name}- %{api_version}

Summary:	HTML rendering/editing library
Name:		%{package_name}-%{api_version}
Version: 3.24.0
Release: %mkrel 1
License:	LGPLv2+
Group:		Graphical desktop/GNOME
Source0: http://ftp.gnome.org/pub/GNOME/sources/gtkhtml/%{package_name}-%{version}.tar.bz2

URL:		http://ftp.gnome.org/pub/gnome/sources/gtkhtml/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	libgnomeui2-devel
BuildRequires:	gail-devel
BuildRequires:	libglade2.0-devel
BuildRequires:	libsoup-devel >= 2.1.6
BuildRequires:	iso-codes
BuildRequires:	enchant-devel
BuildRequires:	gnome-icon-theme >= 1.2.0
BuildRequires:	intltool
#BuildRequires:	gnome-common
Requires:	%{libname} >= %{version}


%description 
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

GtkHTML was originally based on KDE's KHTMLW widget, but is now
developed independently of it.  The most important difference between
KHTMLW and GtkHTML, besides being GTK-based, is that GtkHTML is also
an editor.  Thanks to the Bonobo editor component that comes with the
library, it's extremely simple to add HTML editing to an existing
application.

%package -n %{libname}
Summary:        Libraries for GtkHTML
Group:          System/Libraries

%description -n %{libname}
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains libraries used by GtkHTML.

%package -n %{libnamedev}
Summary:        Development libraries, header files and utilities for GtkHTML
Group:          Development/GNOME and GTK+
Requires:	%{name} = %{version}
Requires:       %{libname} = %{version}
Provides:	%{package_name}-%{api_version}-devel = %{version}-%{release}
Conflicts: %mklibname -d gtkhtml-3.8 15 
Obsoletes: %mklibname -d %{package_name}- 3.14 19

%description -n %{libnamedev}
GtkHTML is a HTML rendering/editing library.  GtkHTML is
not designed to be the ultimate HTML browser/editor: instead, it is
designed to be easily embedded into applications that require
lightweight HTML functionality.

This package contains the files necessary to develop applications with GtkHTML.

%prep
%setup -q -n %{package_name}-%{version}

%build
%configure2_5x
%make LIBS=-lm

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# gw these produce rpmlint errors:
rm -rf %buildroot%_datadir/locale/{bn_IN,si}
%{find_lang} %{package_name}-%{api_version}

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/bonobo/plugin/*.{la,a}  \
 $RPM_BUILD_ROOT%{_libdir}/gtkhtml/*.{la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%if %mdkversion < 200900
%post -p /sbin/ldconfig -n %{libname}
%endif
%if %mdkversion < 200900
%postun -p /sbin/ldconfig -n %{libname}
%endif

%files -f %{package_name}-%{api_version}.lang -n %{name}
%defattr(-, root, root)
%doc AUTHORS NEWS README TODO
%{_datadir}/gtkhtml-%{api_version}

%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS COPYING 
%{_libdir}/libgtkhtml-%{api_version}.so.%{major}*
%{_libdir}/libgtkhtml-editor.so.0*

%files -n %{libnamedev}
%defattr(-, root, root)
%doc ChangeLog 
%attr(644,root,root) %{_libdir}/*a
%_bindir/gtkhtml-editor-test
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/*


%changelog
* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 3.24.0-1mdv2009.0
+ Revision: 286522
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 3.23.92-1mdv2009.0
+ Revision: 282512
- new version

* Mon Sep 01 2008 Götz Waschk <waschk@mandriva.org> 3.23.91-1mdv2009.0
+ Revision: 278185
- new version

* Mon Aug 18 2008 Frederic Crozat <fcrozat@mandriva.com> 3.23.90-1mdv2009.0
+ Revision: 273218
- Release 3.23.90
- Remove patch0 (merged upstream)

* Tue Aug 12 2008 Pascal Terjan <pterjan@mandriva.org> 3.23.6-2mdv2009.0
+ Revision: 271076
- Fix a crash in evolution when starting composer in non UTF8 locale

* Mon Aug 04 2008 Götz Waschk <waschk@mandriva.org> 3.23.6-1mdv2009.0
+ Revision: 263138
- new version

* Tue Jul 22 2008 Götz Waschk <waschk@mandriva.org> 3.23.5-1mdv2009.0
+ Revision: 240019
- new version

* Thu Jul 03 2008 Götz Waschk <waschk@mandriva.org> 3.23.4-1mdv2009.0
+ Revision: 230966
- fix buildrequires
- new version
- remove bonobo server
- add gtkhtml-editor library

* Mon Jun 30 2008 Götz Waschk <waschk@mandriva.org> 3.18.3-1mdv2009.0
+ Revision: 230218
- new version
- update license

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Tue May 27 2008 Götz Waschk <waschk@mandriva.org> 3.18.2-1mdv2009.0
+ Revision: 211715
- fix buildrequires
- new version
- fix build

* Wed Apr 09 2008 Götz Waschk <waschk@mandriva.org> 3.18.1-1mdv2009.0
+ Revision: 192464
- new version

* Mon Mar 10 2008 Götz Waschk <waschk@mandriva.org> 3.18.0-1mdv2008.1
+ Revision: 183285
- new version

* Mon Feb 25 2008 Götz Waschk <waschk@mandriva.org> 3.17.92-1mdv2008.1
+ Revision: 174977
- new version

* Mon Feb 18 2008 Thierry Vignaud <tvignaud@mandriva.com> 3.17.91-3mdv2008.1
+ Revision: 170881
- rebuild
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 3.17.91-2mdv2008.1
+ Revision: 165447
- fix installation
- remove locales (bug #12216)
- fix devel provides according to the blino policy
- *** empty log message ***

* Mon Feb 11 2008 Götz Waschk <waschk@mandriva.org> 3.17.91-1mdv2008.1
+ Revision: 165205
- new version

* Tue Jan 29 2008 Götz Waschk <waschk@mandriva.org> 3.17.90.1-1mdv2008.1
+ Revision: 159759
- new version

* Mon Jan 28 2008 Götz Waschk <waschk@mandriva.org> 3.17.90-1mdv2008.1
+ Revision: 159382
- new version

* Mon Jan 14 2008 Götz Waschk <waschk@mandriva.org> 3.17.5-1mdv2008.1
+ Revision: 151328
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Götz Waschk <waschk@mandriva.org> 3.17.4-1mdv2008.1
+ Revision: 129090
- new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Tue Dec 04 2007 Götz Waschk <waschk@mandriva.org> 3.17.3-1mdv2008.1
+ Revision: 115201
- new version

* Tue Nov 13 2007 Götz Waschk <waschk@mandriva.org> 3.17.2-1mdv2008.1
+ Revision: 108386
- new version

* Mon Oct 29 2007 Götz Waschk <waschk@mandriva.org> 3.17.1-1mdv2008.1
+ Revision: 102945
- new version

* Mon Oct 15 2007 Götz Waschk <waschk@mandriva.org> 3.16.1-1mdv2008.1
+ Revision: 98420
- new version
- new version

* Mon Sep 17 2007 Götz Waschk <waschk@mandriva.org> 3.16.0-1mdv2008.0
+ Revision: 89312
- new version

* Mon Sep 03 2007 Götz Waschk <waschk@mandriva.org> 3.15.92-1mdv2008.0
+ Revision: 78753
- new version

* Mon Aug 27 2007 Götz Waschk <waschk@mandriva.org> 3.15.91-1mdv2008.0
+ Revision: 72032
- new version

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 3.15.90-1mdv2008.0
+ Revision: 63029
- new version

* Wed Aug 01 2007 Götz Waschk <waschk@mandriva.org> 3.15.6.1-1mdv2008.0
+ Revision: 57658
- new version
- fix buildrequires
- fix build

* Wed Aug 01 2007 Götz Waschk <waschk@mandriva.org> 3.15.6-2mdv2008.0
+ Revision: 57584
- new devel name

* Tue Jul 31 2007 Götz Waschk <waschk@mandriva.org> 3.15.6-1mdv2008.0
+ Revision: 56916
- fix buildrequires
- new version
- fix build

* Mon Jul 09 2007 Götz Waschk <waschk@mandriva.org> 3.15.5-1mdv2008.0
+ Revision: 50636
- new version

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 3.15.4-1mdv2008.0
+ Revision: 41000
- new version
- new version

  + Anssi Hannula <anssi@mandriva.org>
    - rebuild with correct optflags

* Mon May 28 2007 Götz Waschk <waschk@mandriva.org> 3.14.2-1mdv2008.0
+ Revision: 32134
- new version

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 3.14.1-1mdv2008.0
+ Revision: 14039
- new version


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 3.14.0-1mdv2007.1
+ Revision: 142116
- rename

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 3.13.92-2mdv2007.1
+ Revision: 126094
- fix devel package conflict

* Mon Feb 26 2007 Götz Waschk <waschk@mandriva.org> 3.13.92-1mdv2007.1
+ Revision: 125971
- new version
- new major

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 3.13.91-1mdv2007.1
+ Revision: 120023
- new version

* Mon Jan 22 2007 Götz Waschk <waschk@mandriva.org> 3.13.6-1mdv2007.1
+ Revision: 112048
- new version

* Tue Dec 19 2006 Götz Waschk <waschk@mandriva.org> 3.13.4-1mdv2007.1
+ Revision: 99061
- new version

* Tue Dec 05 2006 Götz Waschk <waschk@mandriva.org> 3.13.3-1mdv2007.1
+ Revision: 90774
- new version

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 3.13.2-4mdv2007.1
+ Revision: 89221
- bot rebuild
- fix buildrequires again

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 3.13.2-2mdv2007.1
+ Revision: 87730
- fix buildrequires
- new version

* Wed Nov 22 2006 Götz Waschk <waschk@mandriva.org> 3.12.2-1mdv2007.1
+ Revision: 86296
- new version
- Import gtkhtml-3.8

